#!/bin/bash
# Filename:      ${GRML_FAI_CONFIG}/config/scripts/GRMLBASE/91-update-pciids
# Purpose:       update pciids
# Authors:       (c) Michael Prokop <mika@grml.org>
# Bug-Reports:   see http://grml.org/bugs/
# License:       This file is licensed under the GPL v2.
################################################################################

if ifclass NO_ONLINE ; then
  echo "Ignoring script 91-update-pciids as NO_ONLINE is set."
  exit 0
fi

set -u

bailout() {
  if [ "${1:-}" = "4" ] ; then
    echo "Warning: update-pciids returned with exit code 4." >&2

    # be verbose in logs
    echo "Warning: update-pciids returned with exit code 4."
    echo "-> This indicates that networking inside the chroot did not work"
    echo "   while GRMLBASE/91-update-pciids was running."
    echo "   To address this issue you can either configure /etc/resolv.conf"
    echo "   accordingly or just run dnsmasq on your host."

    exit 0
  fi

  exit "${1:-0}"
}


[ -x $target/usr/bin/timeout ] && TIMEOUT="10" || TIMEOUT=""

if ! [ -x $target/usr/bin/update-pciids ] ; then
  echo "Warning: update-pciids not installed"
  exit 0
fi

echo "Updating PCI-IDs"
if [ -n "$TIMEOUT" ] ; then
   $ROOTCMD timeout $TIMEOUT update-pciids
   bailout $?
else
   $ROOTCMD update-pciids
   bailout $?
fi

## END OF FILE #################################################################
# vim:ft=sh expandtab ai tw=80 tabstop=4 shiftwidth=2
